Subject: Re: linux-next: manual merge of the logfs tree with Linus' tree

From: Jörn Engel <[email-masked]>
Date: Thu, 3 Nov 2011 02:25:04 +0100

On Thu, 3 November 2011 12:02:57 +1100, Stephen Rothwell wrote:
> On Wed, 2 Nov 2011 20:00:46 +0100 Jörn Engel <[email-masked]> wrote:
> > On Tue, 1 November 2011 14:10:00 +1100, Stephen Rothwell wrote:
> > > 
> > > Today's linux-next merge of the logfs tree got a conflict in
> > > fs/logfs/file.c between commit 02c24a82187d ("fs: push i_mutex and
> > > filemap_write_and_wait down into ->fsync() handlers") from Linus' tree
> > > and commit 39da12ef4bbe ("logfs: take write mutex lock during fsync and
> > > sync") from the logfs tree.
> > > 
> > > I have no idea what needs to be done here.  I fixed it like below to make
> > > it build, but a better fix is needed.
> > 
> > From a code perspective your fix below is correct, to the best of my
> > judgement.  I'm less sure what to do from a git perspective.
> > Explicitly tell Linus about it in the logfs pull request?
> 
> I was concered about the locking order (or if both locks were needed at
> all).  And, yes, tell Linus.

Locking order should be fine.  Whether both locks are needed is a
valid question.  I suspect the answer is yes.

Jörn

-- 
Simplicity is prerequisite for reliability.
-- Edsger W. Dijkstra